function anchormanagement:gamefunctions/all/glowstones
execute as @a[scores={spectateTimer=1..}] run function anchormanagement:gamefunctions/all/deaths/deathspec
tag @a[tag=inGame] remove hasInv
execute as @a[nbt={Inventory:[{Slot:103b,tag:{iItem:1}},{Slot:102b,tag:{iItem:1}},{Slot:101b,tag:{iItem:1}},{Slot:100b,tag:{iItem:1}},{Slot:0b,tag:{iItem:1}},{Slot:1b,tag:{iItem:1}},{Slot:2b,tag:{iItem:1}}]}] run tag @s add hasInv
execute as @a[tag=!hasInv,tag=inGame] run function anchormanagement:gamefunctions/all/getinv
kill @e[type=item,nbt={Item:{tag:{iItem:1}}}]
scoreboard players set t_sec playerCount 0
execute as @a[team=warped,tag=inGame] run scoreboard players add t_sec playerCount 1
execute if score t_sec playerCount matches 0 run execute if score t_sec gameRunning matches 1 run function anchormanagement:gamefunctions/all/crimsonwin
scoreboard players set t_sec playerCount 0
execute as @a[team=crimson,tag=inGame] run scoreboard players add t_sec playerCount 1
execute if score t_sec playerCount matches 0 run execute if score t_sec gameRunning matches 1 run function anchormanagement:gamefunctions/all/warpedwin
execute as @e[tag=Anchor] at @s if block ~ ~ ~ air run function anchormanagement:gamefunctions/all/anchorcheck
execute as @e[type=item,nbt={Item:{tag:{blockUpgrade:1}}},tag=!warped,tag=!crimson] run execute as @a[sort=nearest,limit=1,tag=inGame] at @s run function anchormanagement:gamefunctions/all/tagupgrade
execute as @e[type=item,nbt={Item:{tag:{blockUpgrade:1}}}] at @s run execute if entity @e[tag=Anchor,distance=..2] run function anchormanagement:gamefunctions/all/upgradeanchor
execute as @e[type=item,nbt={Item:{tag:{nUpgrade:1}}}] at @s run execute if entity @e[tag=nuggetGen,tag=!unlocked2,distance=..2] run function anchormanagement:gamefunctions/all/upgradenuggets
execute as @e[type=item,nbt={Item:{id:"minecraft:glowstone",Count:1b}}] at @s run execute if score t_sec warpedLives < t_sec math20 run execute if entity @e[tag=wAnchor,distance=..2] run function anchormanagement:gamefunctions/all/addwarpedlife
execute as @e[type=item,nbt={Item:{id:"minecraft:glowstone",Count:1b}}] at @s run execute if score t_sec crimsonLives < t_sec math20 run execute if entity @e[tag=cAnchor,distance=..2] run function anchormanagement:gamefunctions/all/addcrimsonlife
execute as @a[nbt={Inventory:[{tag:{sItem:1}}]}] run function anchormanagement:gamefunctions/all/items/upgradeitems
execute as @e[tag=unlocked] run scoreboard players remove @s[scores={nTimer=0..}] nTimer 1
execute as @e[scores={nTimer=..0}] run scoreboard players operation @s nTimer = @s nReset
execute at @e[scores={nTimer=1}] run summon item ~ ~0.5 ~ {Item:{id:"minecraft:gold_nugget",Count:1b}}
title @a actionbar [{"text":"Lives: |","color":"green","bold":true},{"text":" Warped:  ","color":"dark_aqua","bold":false},{"score":{"name":"t_sec","objective":"warpedLives"},"color":"aqua","bold":true},{"text":" | ","color":"green","bold":true},{"text":"Crimson: ","color":"dark_red","bold":false},{"score":{"name":"t_sec","objective":"crimsonLives"},"color":"red","bold":true},{"text":" |","color":"dark_green","bold":true}]
execute as @e[tag=inGame,scores={deaths=1..}] run function anchormanagement:gamefunctions/all/deaths/deathfunction
scoreboard players remove t_sec deathRandomizer 1
execute if score t_sec deathRandomizer <= t_sec math0 run scoreboard players set t_sec deathRandomizer 16
execute at @e[tag=nuggetGen,tag=unlocked] run particle minecraft:dust 1.0 1.0 0.0 1 ~ ~1 ~ 0.3 1 0.3 0 3
execute at @e[tag=gGen] run particle minecraft:dust 1.0 0.7 0.0 1 ~ ~2 ~ 0.3 2 0.3 0 3
execute if score t_sec clockRefresh > t_sec math0 run scoreboard players remove t_sec clockRefresh 1
execute if score t_sec clockRefresh matches 0 run function anchormanagement:gamefunctions/all/testphasetimer
execute if score t_sec gameTimer > t_sec math0 run scoreboard players remove t_sec gameTimer 1
execute if score t_sec gameTimer matches 1 run function anchormanagement:gamefunctions/all/testphaseend
execute if score t_sec eventReset matches 1 run function anchormanagement:gamefunctions/all/events/createevent
execute if score t_sec eventTimer > t_sec math0 run function anchormanagement:gamefunctions/all/events/runevents
execute if score t_sec eventReset > t_sec math0 run scoreboard players remove t_sec eventReset 1
execute as @e[type=arrow,nbt={inGround:1b}] at @s run function anchormanagement:effects/smokeplume
execute as @a[scores={usedItem=1..}] run function anchormanagement:gamefunctions/all/consumables/useanitem
execute if score t_sec armorRefresh > t_sec math0 run scoreboard players remove t_sec armorRefresh 1
execute if score t_sec armorRefresh matches 0 run execute as @a[tag=inGame] run function anchormanagement:gamefunctions/all/armorrefresh
gamemode adventure @a[tag=!immune,tag=inGame,scores={spectateTimer=0}]
gamemode spectator @a[tag=!immune,tag=inGame,scores={spectateTimer=1..}]
gamemode spectator @a[tag=!immune,tag=!inGame]